RedHat rpm question: Reconstructing rpm file from installed package?

From: Steve Wampler (swampler_at_noao.edu)
Date: 10/01/03


Date: Wed, 01 Oct 2003 12:41:21 -0700


I'm about to do an upgrade of some packages on a (remote) RH8.0
system. Before doing so, I'd like to save off the currently
installed packages so I can restore them if things go horribly
wrong... (Since it's a remote machine [several time zones
away] I can't just pop in the RH8 cd's and reinstall from there.

Is there a tool that can reconstruct binary rpm files from
packages that are installed on a system? (If that tool is
either 'rpm' or 'rpmbuild' I'd love some hints on what the
right options would be!)

Thanks,
Steve



Relevant Pages

  • Re: [HEADSUP] No more pkg_install on HEAD by default
    ... it will notice that the remote repo catalog ... your time would be better spent learning the new "pkg create", ... You want to ship 8 types of packages: ... I assume that your prejudice remarks are because you haven't either seen such a platform or such a need for said platform. ...
    (freebsd-current)
  • Re: wajig < > apt-get
    ... auto-download Do an update followed by a download of all updated packages ... commands List all the JIG commands and one line descriptions for each ... integrity Check the integrity of installed packages ...
    (Debian-User)
  • [Full-disclosure] [SECURITY] [DSA 2097-2] New phpmyadmin packages fix several vulnerabilitie
    ... The update in DSA 2097 for phpMyAdmin did not correctly apply the intended ... packages now fix the issues described in the original advisory text below. ... Several remote vulnerabilities have been discovered in phpMyAdmin, ...
    (Full-Disclosure)
  • Re: biblatex 2.0/biber 1.0 testing, again
    ... browser access remote web pages does. ... biber, because this would install packages behind the back ... (e.g. recompiling some packages after an ABI-incompatible ... change to need some of these libraries the package manager ...
    (comp.text.tex)
  • [SECURITY] [DSA 2097-2] New phpmyadmin packages fix several vulnerabilities
    ... The update in DSA 2097 for phpMyAdmin did not correctly apply the intended ... packages now fix the issues described in the original advisory text below. ... Several remote vulnerabilities have been discovered in phpMyAdmin, ...
    (Bugtraq)